%global _empty_manifest_terminate_build 0
Name:		python-tempora
Version:	5.5.0
Release:	1
Summary:	Objects and routines pertaining to date and time (tempora)
License:	MIT
URL:		https://github.com/jaraco/tempora
Source0:	https://files.pythonhosted.org/packages/c9/dc/97d90b9f64dbe4f599023e19602b33a2cced68462db67a3d4805a77cf784/tempora-5.5.0.tar.gz
BuildArch:	noarch

Requires:	python3-pytz
Requires:	python3-sphinx
Requires:	python3-pytest
Requires:	python3-pytest-checkdocs
Requires:	python3-pytest-flake8
Requires:	python3-pytest-cov
Requires:	python3-pytest-enabler
Requires:	python3-freezegun
Requires:	python3-pytest-freezegun
Requires:	python3-types-freezegun
Requires:	python3-types-pytz
Requires:	python3-pytest-black
Requires:	python3-pytest-mypy

%description
Objects and routines pertaining to date and time (tempora).

%package -n python3-tempora
Summary:	Objects and routines pertaining to date and time (tempora)
Provides:	python-tempora = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-pip python3-wheel python3-flit
BuildRequires:	python3-setuptools_scm
BuildRequires:	python3-toml
%description -n python3-tempora
Objects and routines pertaining to date and time (tempora).

%package help
Summary:	Development documents and examples for tempora
Provides:	python3-tempora-doc
%description help
Objects and routines pertaining to date and time (tempora).

%prep
%autosetup -n tempora-%{version} -p1

%build
%pyproject_build

%install
%pyproject_install tempora==%{version}
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi

%files -n python3-tempora
%{python3_sitelib}/*
%{_bindir}/calc-prorate

%files help
%{_docdir}/*

%changelog
* Tue Jul 11 2023 niuyaru <niuyaru@kylinos.cn> - 5.5.0-1
- Update package to version 5.5.0

* Thu Apr 27 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 5.2.2-2
- Use pyproject to compile package

* Tue Apr 11 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 5.2.2-1
- Update package to version 5.2.2

* Mon Feb 27 2023 yaoxin <yaoxin30@h-partners.com> - 5.2.1-2
- Fix installation conflicts between python3-tempora and python3-jaraco-classes

* Tue Feb 7 2023 wubijie <wubijie@kylinos.cn> - 5.2.1-1
- update to 5.2.1

* Tue Dec 13 2022 wenzhiwei <wenzhiwei@kylinos.cn> - 5.1.0-1
- update to 5.1.0

* Mon Oct 17 2022 liqiuyu <liqiuyu@kylinos.cn> - 5.0.2-2
- Fix the problem of incomplete providers

* Mon Aug 08 2022 liqiuyu <liqiuyu@kylinos.cn> - 5.0.2-1
- update to 5.0.2

* Sat Jan 15 2022 wulei <wulei80@huawei.com> - 5.0.0-1
- Package update

* Mon Mar 15 2021 lingsheng <lingsheng@huawei.com> - 4.0.1-3
- Add buildrequires python3-setuptools_scm to fix build

* Mon Jan 18 2021 wutao <wutao61@huawei.com> - 4.0.1-2
- add buildrequires to solve build error

* Mon Nov 16 2020 Python_Bot <Python_Bot@openeuler.org>
- Package init
